List all bank accounts
curl --request GET \
--url https://prod.truv.com/v1/links/{link_id}/bank_accounts/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/{link_id}/bank_accounts/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/{link_id}/bank_accounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"account_number": "1234567890",
"routing_number": "123456789",
"account_name": "My Bank",
"account_type": "C",
"deposit_type": "A",
"deposit_value": "200.00",
"bank_name": "TD Bank"
}
]{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Bank Accounts
List all bank accounts
List of all bank accounts used for the direct deposit
GET
/
v1
/
links
/
{link_id}
/
bank_accounts
/
List all bank accounts
Authorizations
Client ID
Client Access Key
Path Parameters
Link ID
Response
Account number
Example:
"1234567890"
Routing number
Maximum string length:
64Example:
"123456789"
User friendly account name
Maximum string length:
128Example:
"My Bank"
Account type:
C- Checking account,S- Savings account,
Available options:
C, S, null Example:
"C"
Deposit type:
E- Entire paycheck,P- Percentage of the paycheck,A- Fixed amount from the paycheck,
Available options:
E, P, A, null Example:
"A"
Deposit value
Pattern:
^-?\d{1,10}\.\d{2}$Example:
"200.00"
Bank name
Maximum string length:
128Example:
"TD Bank"
Was this page helpful?